import type { TypeLdesignQueryProps } from './type';
import './style';
export declare const LdesignQuery: import("vue/types/vue").ExtendedVue<import("vue").default, {
    isExpanded: boolean;
    width: number;
}, {
    toggleExpand(): void;
    listenSize(): void;
}, {
    point: number;
    previewConditions: import("./type").QueryItemProps[];
    contentConditions: import("./type").QueryItemProps[];
    itemWidth: number;
}, {
    theme: string;
    conditions: import("./type").QueryItemProps[];
    grid: number;
    expand: boolean;
    onExpandChange: (e: MouseEvent) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<import("vue").default, {
    isExpanded: boolean;
    width: number;
}, {
    toggleExpand(): void;
    listenSize(): void;
}, {
    point: number;
    previewConditions: import("./type").QueryItemProps[];
    contentConditions: import("./type").QueryItemProps[];
    itemWidth: number;
}, {
    theme: string;
    conditions: import("./type").QueryItemProps[];
    grid: number;
    expand: boolean;
    onExpandChange: (e: MouseEvent) => void;
}>>;
export * from './type';
export declare type LdesignQueryProps = TypeLdesignQueryProps;
export default LdesignQuery;
